libgdraw4_20120731.b-5_amd64.deb


Advertisement

Description

libgdraw4 - font editor - runtime graphics and widget library

Property Value
Distribution Ubuntu 14.04 LTS (Trusty Tahr)
Repository Ubuntu Main amd64
Package filename libgdraw4_20120731.b-5_amd64.deb
Package name libgdraw4
Package version 20120731.b
Package release 5
Package architecture amd64
Package type deb
Category libs
Homepage http://fontforge.sourceforge.net/
License -
Maintainer Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Download size 293.51 KB
Installed size 880.00 KB
Besides being a font editor, FontForge is also a font format
converter, and can convert among PostScript (ASCII & binary Type 1,
some Type 3s, some Type 0s), TrueType, and OpenType (Type2),
CID-keyed, SVG, CFF and multiple-master fonts.
This package contains the graphics and widget runtime library.

Alternatives

Package Version Architecture Repository
libgdraw4_20120731.b-5ubuntu0.1_i386.deb 20120731.b i386 Ubuntu Updates Main
libgdraw4_20120731.b-5ubuntu0.1_amd64.deb 20120731.b amd64 Ubuntu Updates Main
libgdraw4_20120731.b-5_i386.deb 20120731.b i386 Ubuntu Main
libgdraw4 - - -

Requires

Name Value
libc6 >= 2.15
libcairo2 >= 1.6.0
libfontconfig1 >= 2.9.0
libfontforge1 -
libpango-1.0-0 >= 1.14.0
libpangocairo-1.0-0 >= 1.14.0
libpangoxft-1.0-0 >= 1.14.0
libuninameslist0 -
libx11-6 -
libxft2 >> 2.1.1

Replaces

Name Value
fontforge <= 0.0.20090224

Download

Type URL
Mirror archive.ubuntu.com
Binary Package libgdraw4_20120731.b-5_amd64.deb
Source Package fontforge

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libgdraw4 deb package:
    # sudo apt-get install libgdraw4

Files

Path
/usr/lib/libgdraw.so.4
/usr/lib/libgdraw.so.4.0.10
/usr/share/doc/libgdraw4/changelog.Debian.gz
/usr/share/doc/libgdraw4/copyright

Changelog

2014-01-01 - Christian Perrier <bubulle@debian.org>
fontforge (20120731.b-5) unstable; urgency=low
* Make packages Multi-Arch: foreign. Thanks to Dimitri John Ledkov.
Closes: #732743
* Update Standards to 3.9.5 (checked)
2013-11-03 - Christian Perrier <bubulle@debian.org>
fontforge (20120731.b-4) unstable; urgency=low
[ Matthias Klose ]
* Merge patch from Ubuntu:
- Fix build with --as-needed.
2013-06-25 - Hideki Yamane <henrich@debian.org>
fontforge (20120731.b-3) unstable; urgency=low
* debian/watch
- remove unnecessary uversionmangle 
* debian/control
- "Build-Depends: libtiff5-dev", since libtiff-dev introduces dependency
to libtiff4 which is in oldlibs
- use canonical URL for Vcs-*
2013-06-05 - Hideki Yamane <henrich@debian.org>
fontforge (20120731.b-2) unstable; urgency=low
* upload to unstable
2013-05-14 - Hideki Yamane <henrich@debian.org>
fontforge (20120731.b-1) experimental; urgency=low
* New upstream release (Closes: #684109)
* debian/patches
- 001_complete_libpng-dev_transition.diff, 005_x_www_browser.diff, 
902_fix_optipng_reads.diff: merged upstream
- open_file_with_drag_and_drop.patch: drop it, conflict with upstream
* debian/fontforge-common.install: install icons
2013-05-14 - Hideki Yamane <henrich@debian.org>
fontforge (0.0.20120101+git-6) unstable; urgency=low
* debian/rules
- remove override_dh_python2, it'n unnecessary. 
2013-04-22 - Hideki Yamane <henrich@debian.org>
fontforge (0.0.20120101+git-5) experimental; urgency=low
* debian/rules
- fix all lintian error and warnings
+ move python modules from site-packages to dist-packages manually
(Closes: #705904)
+ chmod 0644 to *.so.* libraries
- install missing nox binaries
- don't build pyextention for -nox package to reduce build time
* debian/*.install
- don't conflict duplicate so within packages (Closes: #705857)
2013-04-21 - Hideki Yamane <henrich@debian.org>
fontforge (0.0.20120101+git-4) experimental; urgency=low
* debian/control
- build python modules for all supported versions (Closes: #575753)
2013-03-28 - Hideki Yamane <henrich@debian.org>
fontforge (0.0.20120101+git-3) experimental; urgency=low
* Team upload.
* debian/control
- remove Kęstutis Biliūnas <kebil@kaunas.init.lt> from Uploaders, thanks.
(Closes: #704972)
- add myself to Uploaders
- use debhelper (>= 9)
- set "Standards-Version: 3.9.4"
- add "{Conflicts,Replaces}: libfontforge-dev (<< 0.0.20120101+git-3)" to
libfontoforge1 since all .so files move to libfontoforge1
- set "Build-Depends: libtiff-dev" to make transition easier (Closes: #681538)
Thanks to Michael Terry <michael.terry@canonical.com>
- remove obsolete "Dm-Upload-Allowed:" field
- add "Breaks: defoma" to avoid broken obsolete defoma symlink cause
segfault (Closes: #583546)
- add fontforge-common package to reduce the duplication (Closes: #705574)
- replace from "Conflicts: fontforge{,-nox}" to Breaks to ensure smooth
upgrade
* debian/patches
- add open_file_with_drag_and_drop.patch. It is able to open files with 
Drag&Drop in launcher.
* debian/rules
- cleanup, use dh style. It brings concurrent build enable with --parallel
(Closes: #705437) Also, it reduces build time.
- enable "--with-freetype-bytecode" option by default (Closes: #688213,
#672775)
since related patent has expired.
- explicitly specify "--with-freetype-src=freetype" to reduce search time 
(closes: #605871). However, should add freetype source to enable it and
not do so since it's not sure at this time.
* debian/*.{install,dirs},clean
- use with dh
* debian/compat
- set 9 to enable hardening (without setting dpkg-buildflags)
2012-05-15 - Christian Perrier <bubulle@debian.org>
fontforge (0.0.20120101+git-2) unstable; urgency=low
* Define SHELL in Makefiles. Thanks to Jakub Wilk for the patch
Closes: #671971

See Also

Package Description
libgee-0.8-2_0.10.5-1ubuntu1_amd64.deb GObject based collection library
libgee-0.8-dev_0.10.5-1ubuntu1_amd64.deb GObject based collection library (development files)
libgee-dev_0.6.8-1ubuntu1_amd64.deb GObject based collection library (development files)
libgee2_0.6.8-1ubuntu1_amd64.deb GObject based collection library
libgegl-0.2-0_0.2.0-4ubuntu1_amd64.deb Generic Graphics Library
libgegl-dev_0.2.0-4ubuntu1_amd64.deb Generic Graphics Library (development files)
libgegl-doc_0.2.0-4ubuntu1_all.deb Generic Graphics Library (documentation)
libgeis-dev_2.2.16+14.04.20140303-0ubuntu1_amd64.deb Gesture engine interface support - dev files
libgeis-doc_2.2.16+14.04.20140303-0ubuntu1_all.deb Gesture engine interface support - documentation
libgeis1_2.2.16+14.04.20140303-0ubuntu1_amd64.deb Gesture engine interface support
libgeoclue-dev_0.12.99-3ubuntu1_amd64.deb C API for GeoClue (development files)
libgeoclue0_0.12.99-3ubuntu1_amd64.deb C API for GeoClue
libgeoip-dev_1.6.0-1_amd64.deb Development files for the GeoIP library
libgeoip1_1.6.0-1_amd64.deb non-DNS IP-to-country resolver library
libgeronimo-jms-1.1-spec-java_1.1-1.2ubuntu3_all.deb Geronimo API implementation of the JMS 1.1 spec
Advertisement
Advertisement